| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- PolChemDefSpec

# MsXpS::libXpertMassCore::PolChemDefSpec Class

class MsXpS::libXpertMassCore::PolChemDefSpec

The PolChemDefSpec class provides metadata for accessing a given polymer chemistry definition's data on disk. More...

Header: | `#include <MsXpS/libXpertMassCore/PolChemDefSpec.hpp>`

- List of all members, including inherited members
- PolChemDefSpec is part of Polymer chemistry definition.

## Public Functions

| PolChemDefSpec(const QString &name = QString())
| ~PolChemDefSpec()
QString | dirPath()
QString | getFilePath() const
const QString & | getName() const
void | setFilePath(const QString &file_path)
void | setName(const QString &name)

## Protected Variables

QString | m_filePath
QString | m_name

## Detailed Description

See also PolChemDef.

## Member Function Documentation

### PolChemDefSpec::PolChemDefSpec(const QString &name = QString())

Constructs a polymer chemistry definition specification instance using name as the PolChemDef name.

### `[noexcept]` PolChemDefSpec::~PolChemDefSpec()

Destroys the polymer chemistry definition specification instance.

### QString PolChemDefSpec::dirPath()

Returns the absolute path to the polymer chemistry definition file.

If m_filePath is "protein-1-letter/protein-1-letter.xml", returns "<abspathtodir>/protein-1-letter"

### QString PolChemDefSpec::getFilePath() const

Returns the path to the polymer chemistry definition file.

### const QString &PolChemDefSpec::getName() const

Returns the name of the polymer chemistry definition.

### void PolChemDefSpec::setFilePath(const QString &file_path)

Sets the path to the polymer chemistry definition file to file_path.

### void PolChemDefSpec::setName(const QString &name)

Sets the name of the polymer chemistry definition.

## Member Variable Documentation

### QString PolChemDefSpec::m_filePath

This variable holds the path to the polymer chemistry defintion.

The path is relative to the polymer chemistry definitions directory in the data directory, as found in the catalogue files, like protein-1-letter/protein-1-letter.xml.

### QString PolChemDefSpec::m_name

This variable holds the name of the polymer chemistry definition, like protein-1-letter or nucac, for example.

This name is typically identical to both the name of the directory where all the data defining this `PolChemDef` is stored and the name of the XML file that contains the definition itself.